Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CConstrainHprInterval Class Reference

A constraint interval that will constrain the orientation of one node to the orientation of another. More...

Inheritance diagram for CConstrainHprInterval:

List of all members.

## Public Member Functions
| CConstrainHprInterval (string name, double duration, NodePath const node, NodePath const target, bool wrt, VBase3 const hprOffset)
| Constructs a constraint interval that will constrain the orientation of one node to the orientation of another, possibly with an added rotation.
| CConstrainHprInterval (string name, double duration, NodePath const node, NodePath const target, bool wrt)
| Constructs a constraint interval that will constrain the orientation of one node to the orientation of another, possibly with an added rotation.
NodePath const | getNode ()
| Returns the "source" node.
NodePath const | getTarget ()
| Returns the "target" node.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A constraint interval that will constrain the orientation of one node to the orientation of another.

## Constructor & Destructor Documentation

CConstrainHprInterval | ( | string | name,
|  | double | duration,
|  | NodePath const | node,
|  | NodePath const | target,
|  | bool | wrt,
|  | VBase3 const | hprOffset
| ) |  |

Constructs a constraint interval that will constrain the orientation of one node to the orientation of another, possibly with an added rotation.

If wrt is true, the node's orientation will be transformed into the target node's parent's space before being copied. If wrt is false, the target node's local orientation will be copied unaltered.

CConstrainHprInterval | ( | string | name,
|  | double | duration,
|  | NodePath const | node,
|  | NodePath const | target,
|  | bool | wrt
| ) |  |

Constructs a constraint interval that will constrain the orientation of one node to the orientation of another, possibly with an added rotation.

If wrt is true, the node's orientation will be transformed into the target node's parent's space before being copied. If wrt is false, the target node's local orientation will be copied unaltered.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from CConstraintInterval.

NodePath const getNode | ( |  | ) |

Returns the "source" node.

NodePath const getTarget | ( |  | ) |

Returns the "target" node.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties